[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.HasParent

Does the component have a parent ?

## Declaration

Source position: classesh.inc line 1972

`public function TComponent.HasParent: Boolean; dynamic;`

## Description

HasParent can be implemented to return whether the parent of the component exists. The implementation of this method in TComponent always returns False, and should be overridden by descendant classes to return True when a parent is available. If HasParent returns True, then GetParentComponent will return the parent component.

## See also

HasParent |  | Does the component have a parent ?
Owner |  | Owner of this component.